#!/usr/bin/python2.7
# -*- coding: utf-8 -*-

#  Copyright (C) 2014-2015  Rafael Senties Martinelli <rsm@imap.cc>
#
#  This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License 3 as published by
#   the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA.

import os
from Paths import *
from CustomOs import *; CustomOs=CustomOs()

class FilesToRename(object):
	
	def __init__(self, computer_path, new_name, data_location):
		
		##################################################
		######## For files located in the computer #######
		
		if os.path.exists(computer_path):
			if os.path.isdir(computer_path):
				self.isfile=False
			else:
				self.isfile=True
		else:
			self.isfile="None"
			
			
		if "/" in new_name:
			self.new_name=os.path.basename(new_name)
			self.new_path=new_name
		else:
			self.new_name=new_name
			self.new_path=os.path.dirname(computer_path)+'/'+new_name	
		self.new_path=self.new_path.replace('//','/')
		
		self.computer_path=computer_path
		#Functions that automatically detects if  the file exists.
		self.computer_size=CustomOs.GetPathSize_MB(computer_path)	
		self.computer_owner=CustomOs.GetOwner(computer_path)
		self.computer_date=CustomOs.ModifiedDate_Char(computer_path)
		#End
			
			
	def get_computer_path(self):
		return self.computer_path
		
	def get_computer_owner(self):
		return self.computer_owner
		
	def get_is_file(self):
		return self.isfile
		
	def get_id(self):
		return self.id
		
	def get_computer_date(self):
		return self.computer_date	
		
	def get_computer_size(self):
		return self.computer_size
		
	def get_new_path(self):
		return self.new_path
	
	def get_new_name(self):
		return self.new_name
		
	def print_info(self):
		print " "
		print "Id",self.id
		print "Computer Path:",self.computer_path
		print "New Path:",self.new_path
		print "New Name:",self.new_name
		print "Computer Owner:",self.computer_owner
		print "Is File:",self.isfile
		print "Computer Date:",self.computer_date
		print "Computer Date",self.computer_date
