#!/usr/bin/python2.7

# -*- coding: utf-8 -*-

#  Copyright (C) 2014-2015  Rafael Senties Martinelli <rsm@imap.cc>
#
#  This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License 3 as published by
#   the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA.


class ProgramsToInstall(object):
	
	def __init__(self, apt_name, category, description, comment, ID):
		
		if apt_name:
			self.aptname=apt_name
		else:
			print "ProgramsToInstall Error: No apt_name"
			exit()
		
		
		if not isinstance(ID, (int, long)):
			try:
				self.id=int(ID)
			except:
				print "fresh-install.py Error: Some Id of File to Replace can not be converted to an Integer"
				exit()
		else:
			self.id=ID
		
		
		if self.id < 0:
			print "ProgramsToInstall Error: ID < 0"
			exit()


		if category:
			self.cat=category
		else:
			self.cat=None
		
		if description:
			self.desc=description
		else:
			self.desc=None
		
		if comment:
			self.com=comment
		else:
			self.com=None
		
		self.inst="Unknow"   # True, False, None (don't know))
	
	def get_apt_name(self):
		return self.aptname
        
	def get_category(self):
		return self.cat
        
	def get_description(self):
		return self.desc
        
	def get_comment(self):
		return self.com
        
	def get_installed(self):
		return self.inst

	def set_installed(self,str):
		self.inst=str
		
	def get_id(self):
		return self.iden
		
	def print_info(self):
		print ""
		print "Id:",self.id
		print "AptName:",self.aptname
		print "Category:",self.cat
		print "Description:",self.desc
		print "Comment:",self.com
		print "Installed:",self.installed
		print ""
