#!/usr/bin/python2.7
# -*- coding: utf-8 -*-

#  Copyright (C) 2014  Rafael Senties Martinelli <rsm@imap.cc>
#
#  This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License 3 as published by
#   the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA.

import csv, os
from gi.repository import Gtk

## Imports from other files of Fresh Install
from Messages import *

def INIT_ComboBoxes(self):

	self.liststore_category=Gtk.ListStore(int,str)
	self.combobox_category=Gtk.ComboBox.new_with_model_and_entry(self.liststore_category)
	self.combobox_category.show()
	self.box_category_to_install.add(self.combobox_category)
	self.combobox_category.set_entry_text_column(1)
	
	self.liststore_category2=Gtk.ListStore(int,str)
	self.combobox_category2=Gtk.ComboBox.new_with_model(self.liststore_category2)
	self.combobox_category2.show()
	self.box_category_install.add(self.combobox_category2)
	self.cell=Gtk.CellRendererText()
	self.combobox_category2.pack_start(self.cell, True)
	self.combobox_category2.add_attribute(self.cell, 'text', 1)


def POPULATE_Combobox_get_category(self):
	
		self.liststore_category.clear()
		self.liststore_category.append([0,TEXT_SELECT_LIST_ALL_THE_CATEGORIES])
		
	
		local_list=[]
		local_list.append(TEXT_NO_SPECIFIED)
		
		for program in self.ProgramsToInstall_List:
			add=True
			for category in local_list:
				if category == program.get_category():
					add=False
					break
					
			if add:
				local_list.append(program.get_category())
				
		local_list.sort()
		
		i=1
		for category in local_list:
			self.liststore_category.append( [i, category ])
			i+=1


		self.combobox_category.set_active(0)


def POPULATE_Combobox_Category2(self):
	
		self.liststore_category2.clear()
		self.liststore_category2.append([0,TEXT_SELECT_ALL_THE_CATEGORIES])

		local_list=[]

		for program in self.ProgramsToInstall_List:
			add=True
			for category in local_list:
				if category == program.get_category():
					add=False
					
			if add:
				local_list.append(program.get_category())
				
		local_list.sort()
				
		i=1
		for category in local_list:
			self.liststore_category2.append( [i, category ])
			i+=1
					
		self.combobox_category2.set_active(0)
