#!/usr/bin/python2.7
# -*- coding: utf-8 -*-

#  Copyright (C) 2014  Rafael Senties Martinelli <rsm@imap.cc>
#
#  This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License 3 as published by
#   the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA.

import getpass, os

# Imports from files of Fresh Install
from Paths import *
from Messages import *
from CustomParser import *; CustomParser=CustomParser()
from CustomOs import *; CustomOs=CustomOs()


def LABEL_user(self):
	message="Logged as: "+getpass.getuser()
	self.label_user.set_label(message)
	self.label_user1.set_label(message)
			
def LABEL_data(self,input,output):
	self.label_to_program.set_label(input)
	self.label_to_pc.set_label(output)

def LABEL_new_profile_help(self):
	if self.checkbutton_local_profile.get_active():
		self.label_profile_help.set_label(TEXT_EXPLANATION_LOCAL_CONFIGURATION)
	elif self.checkbutton_global_profile.get_active() and self.checkbutton_merged_folders.get_active() and not self.checkbutton_merged_configurations.get_active():
		self.label_profile_help.set_label(LABEL_NewProfile_001)
	elif self.checkbutton_global_profile.get_active() and not self.checkbutton_merged_folders.get_active() and self.checkbutton_merged_configurations.get_active():
		self.label_profile_help.set_label(LABEL_NewProfile_002)
	elif self.checkbutton_global_profile.get_active() and self.checkbutton_merged_folders.get_active() and self.checkbutton_merged_configurations.get_active():
		self.label_profile_help.set_label(LABEL_NewProfile_003) 

 
def LABEL_last_actualization(self):
	
	if not os.path.exists(FOLDERS_TO_REPLACE_CSV.format(self.Data_Location)) and not os.path.exists(FILES_TO_REPLACE_CSV.format(self.Data_Location)):
		self.label_act.set_label("")
	else:
		self.label_act.set_label(TEXT_LAST_USER_ACT_NEVER)

		if CustomParser.check_value(self.Path_File_Config,self.Parser_Section,'last_actualization'):
			last_actualization=CustomParser.get_value(self.Path_File_Config,self.Parser_Section,'last_actualization')
			try:
				delta=CustomOs.GetDifferenceDateTimeAsString(last_actualization)
				self.label_act.set_label(delta)
			except:
				print "Labels.py Error: Label last Actualization. Config file Date:",last_actualization
				self.label_act.set_label(TEXT_DATE_TIME_ERROR)
