#!/usr/bin/python2.7
# -*- coding: utf-8 -*-

#  Copyright (C) 2014-2015  Rafael Senties Martinelli <rsm@imap.cc>
#
#  This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License 3 as published by
#   the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA.

from gi.repository import Gtk, Vte, GLib
import os, time


def Init_VTE_Terminal(self):
	self.terminal=Vte.Terminal()
	self.terminal.fork_command_full(Vte.PtyFlags.DEFAULT,
									os.environ['HOME'],
									["/bin/bash"],
									[],
									GLib.SpawnFlags.DO_NOT_REAP_CHILD,
									None,
									None)
									
	self.terminal.set_scrollback_lines(-1)
	self.scrolledwindow_terminal.add(self.terminal)
	self.terminal.show()
	
	command_on_VTE(self, '''stty -echo; printf "\\033c"''')

def command_on_VTE(self, command):
	command=command+' \n'
	
	length=len(command)
	self.terminal.feed_child(command, length)
