#!/usr/bin/python2.7
# -*- coding: utf-8 -*-
#

#  Copyright (C) 2014  Rafael Senties Martinelli <rsm@imap.cc>
#
#  This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License 3 as published by
#   the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA.

PROGRAM_PUBLIC_NAME="Fresh Install"

TEXT_X_X_PROGRAMS="{0} {1} programs"
TEXT_THE_FOLLOWING_FILES_ARE_NOT_IN_THE_SYSTEM="The following files are not in the system: "
TEXT_FILTRED_FILES_TO_RENAME="Filtered files to rename"
TEXT_FILES_TO_RENAME="Files to rename"

TEXT_PROGRAM="Program"
TEXT_REMOVE="Remove"
TEXT__ACTION____=" Action    "
TEXT_SELECT_ALL_THE_CATEGORIES="< Select all the categories >"
TEXT_SELECT_LIST_ALL_THE_CATEGORIES="< List all the categories >"
TEXT_CANCEL="Cancel"
TEXT_CLOSE="Close"

TEXT_IF_NORMAL_USER_OPEN_AS_ROOT="If you set your configuration as a normal user, you can log as root and open it as an external configuration."
TEXT_FILE_ALREADY_SELECTED="This file has already been selected"
TEXT_NEED_TO_SELECT_FILESFOLDERS_BEFORE="You need to select files & folders to replace before being able to actualize them."
TEXT_FOLDER_ALREADY_SELECTED="This folder already has been selected"
TEXT_FOLDER_ALREADY_IN_FOLDER="This folder is alredy stored in another folder, \n Do you still want to add it?"
TEXT_FILE_STORED_IN_FOLDER_TO_REPLACE="This file is already stored in a folder to replace"

TEXT_WARNING="Warning"
TEXT_ERROR="Error"
TEXT_THE_FILES_HAS_BEEN_REPLACED="The files has been replaced"
TEXT_THE_FOLDERS_HAS_BEEN_REPLACED="The folders has been replaced"
TEXT_CHOOSE_ANOTHER_FILE="Please choose a file"
TEXT_CHOOSE_ANOTHER_FOLDER="Please choose a folder"
TEXT_PROGRAMS_TO_INSTALL="Programs to Install"
TEXT_PROGRAM_NAME="Program Name"
TEXT_CATEGORY="Category"
TEXT_DESCRIPTION="Description"
TEXT_COMMENT="Comment"
TEXT_NO_SPECIFIED="No specified"
TEXT_LAST_USER_ACT_NEVER="Last User Act: Never"
TEXT_ORIGINAL_PATH="Original Path"
TEXT_RENAMED_PATH="Renamed Path"
TEXT_THE_PROGRAMS_ARE_BEING_INSTALLED="The programs are being installed."

TEXT_DATE_TIME_ERROR="Date-Time Error"

TEXT_YOU_HAVENT_RENAMED_ANY_FILE="You haven't set any file to be renamed."
TEXT_NO_FILES_TO_RENAME="There are no files to be renamed."
TEXT_THE_LIST_IS_EMPTY="The list is empty"
TEXT_NO_PROGRAM_TO_INSTALL="You haven't add any program to install."
TEXT_YOU_NEED_TO_ADD_PROGRAMS="You need to add programs to install before using this option"
TEXT_NO_FOLDER_TO_REPLACE="There are no folders to replace."
TEXT_TEXT_NO_FILES_OR_FOLDERS_TO_REPLACE="There are no files or folders to replace."
TEXT_YOU_NEED_TO_SELECT_FOF_BEFORE_REPLACE="You need to select files or folders to replace before being able to replace them."
TEXT_NO_FILES_TO_REPLACE="There are no files to replace."
TEXT_NO_DATA_TO_ACTUALIZE="There is no data to actualize."
TEXT_YOU_HAVENT_ADD_ANY_X_TO_REPLACE="You haven't add any {0} to replace."

TEXT_YOU_WILL_RENAME_WANT_TO_PROCEED="You will rename the files the system, do you want to proceed?"
TEXT_THERE_WAS_ONLY_FILES="There was only files to replace."
TEXT_THERE_WAS_ONLY_FOLDERS="There was only folders to replace."
TEXT_YOU_HAVE_STORED_X_GB_WANT_DELETE="You have stored {0} Gb of data,\nare you sure that you want to delete them?"
TEXT_SOME_DATA_STORED_WANT_TO_DELETE="You have some data stored, are you sure that you want to delete it?"
TEXT_THE_ONLY_FILE_IS_THE_CONFIGURATION="The only data stored is the configuration file. Do you want to delete it?"
TEXT_YOU_DONT_HAVE_PERMISSION_TO_DELETE_ALL_THE_DATA="You don't have the permission do delete all the data."
TEXT_THE_FOLDER_IS_MISSING="The folder is missing."
TEXT_WRITE_PERMISSION_PROBLEM="Write permission problem"
TEXT_THE_FILE_IS_MISSING="The file is missing"
TEXT_MUST_SELECT_A_CATEGORY="You must select a category."
TEXT_X_IS_NOT_A_CATEGORY="{0} is not a category."
TEXT_PROGRAM_NAME_CANT_BE_EMPTY="The program name can not be empty."
TEXT_NO_WRITE_PERMISSION_ON_CONF_FILE="You don't have write permission on the configuration file.\nIt won't be loaded."
TEXT_UNIX_DONT_ALLOW_SLASH='''UNIX do not allow this character "/" on names.'''
TEXT_NO_PERMISSION_TO_RENAME_THE_FOLLOWING_FILES="You don't have the permission to rename the following files: "
TEXT_PROGRAMS_USES_THIS_STRING_AS_SEPARATOR='''The program uses this string "|" as csv separator.\nPlease choose another name.'''
TEXT_ALREADY_A_FILE_WITH_THIS_NAME_ON_THE_FOLDER="There is already a file with this name on the folder."
TEXT_ALREADY_RENAMED_A_FILE_WITH_THIS_NAME="You have already renamed another file on this folder with this name"
TEXT_WILL_REPLACE_FILES_WANT_TO_PROCEED="You will replace files of the system, do you want to proceed?"
TEXT_WILL_REPLACE_FOLDERS_WANT_TO_PROCEED="You will replace folders of the system, do you want to proceed?"
TEXT_WILL_REPLACE_FILES_AND_FOLDERS_WANT_TO_PROCEED="You will replace files & folders of the system, do you want to proceed?"
TEXT_NO_PERMISSION_REPLACE_FILES_AND_FODLERS="You don't have the permission to replace the following files & Folders: "
TEXT_NO_PERMISSION_REPLACE_FILES="You don't have the permission to replace the following files: "
TEXT_NO_PROGRAM_INSTALLED_IN_THIS_CATEGORY="You don't have any {0} program in this category."
TEXT_MUST_BE_ROOT_TO_INSTALL="You must be root to install programs."
TEXT_WILL_INSTALL_PROGRAMS_WANT_TO_PROCEED="This will install programs in your system. Do you want to continue?"
TEXT_NO_PROGRAM_ON_THIS_CATEGORY="You don't have any program in this category."
TEXT_NEED_WRITE_PERMISSION_ON_FOLDER_TO_CREATE_IT="You need to have write permission on the folder in order to create the file"
TEXT_THE_FOLDER_SIZE_IS="The folder size is {0}Gb."
TEXT_DO_YOU_WANT_TO_ADD_IT="Are you sure that you want to add it?"
TEXT_THE_FILE_SIZE_IS="The file size is {0}Gb"
TEXT_DO_YOU_STILL_WANT_TO_ADD_THE_FILE="Do you still want to add the file?"
TEXT_THE_DATA_HAS_BEEN_COPIED="The data has been copied."
TEXT_DATA_BEING_COPIED="The data is being copied.."
TEXT_TRANSFER_CANCELLED="The transfer has been stopped."
TEXT_DONT_WRITE_PERMISSION="You don't have write permission"
TEXT_SYNC_HAS_FINISHED="The synchronization has finished."
TEXT_THE_INSTALLATION_HAS_FINISHED="The installation has finished."
TEXT_INSTALLATION_CANCELLED="The installation has been canceled. dpkg will be reconfigured."
TEXT_DETECT_ANOTHER_COMPUTER_WANT_TO_ACTUALIZE='''It seems that the files and folders that you are trying 
to actualize was from another computer.\n
Are you sure that you want to overwrite them?'''
TEXT_NO_PROGRAM_IN_REPOSITORY="The program that you added don't exist in your repositories.\n\nDo you still want to add it?"

TEXT_NON_SELECTED_FILES_INCLUDING_FOLDERS="Hide files already included in folders to replace"
TEXT_NON_SELECTED_FILES="Hide files already selected"
TEXT_NON_SELECTED_FOLDERS="Hide folders already selected"
TEXT_HIDE_REANAMED_FILES="Hide alredy renamed files"
TEXT_DISPLAY_ALL="Display All"

TEXT_NO_FILES_OR_FOLDERS="You haven't add any {0} to replace."

TEXT_ERROR_REPLACING_FOLDERS="Error replacing folders"
TEXT_ERROR_REPLACING_FILES="Error replacing files"


TEXT_FOLDER_PATH="Folder Path"
TEXT_PATH="Path"
TEXT_NEW_PATH="New Path"
TEXT_OLD_PATH="Old Path"
TEXT_OWNER="Owner"
TEXT_FILE_PATH="File Path"
TEXT_PROGRAM="Program"

TEXT_SECOND="second"
TEXT_MINUT="minute"
TEXT_HOUR="hour"
TEXT_DAY="day"
TEXT_MONTH="month"

DIALOG_LAST_ACTUALIZATION="Last Act:"
DIALOG_FILES_OR_FOLDERS_TO_REPLACE="{0} to Replace"
TEXT_FILTRED_X_TO_REPLACE=" Filtered {0} to Replace"
DIALOG_CATEGORY_TO_INSTALL="{0} to Install"

PROGRAM_ALREDY_IN_LIST="This program already in the list."

TEXT_SORRY_BUT_BUG="BUG #000"
TEXT_BUG_MISSING_VARIABLE_IN_LOCALS='''I'm sorry but this is a weird bug, your item wasn't removed. 
If the bug persists you can manually delete the item. Some times deleting other items removes this bug.'''


TEXT_SEEMS_LIKE_APT_IS_LOCKED='''It seems like apt is locked by another process.
\n{0}
\nFresh install can try to kill it, do you want to proceed?
If it fails you can still using a bash script.'''
TEXT_TRY_TO_UNLOCK_APT_IF_NOT_USE_BASH='''It seems like apt is locked by some ghost process.
Fresh install can try to kill it, do you want to proceed?
if it fails you can still using a bash script.'''


TEXT_EXPLANATION_LOCAL_CONFIGURATION='''This is the most advisable configuration.
\nIf you want to backup files of multiple users i recommend to use a Local Profile with the root user. Or you can do it with the Global Profile, but you will need to log as root to be able to create it.
\nMore information will be added in the future.'''
LABEL_NewProfile_001='''This configuration is being tested. I recommend to use the Local Profile.
\nWith this profile all the files and folders will be stored under "/home/.fresh-install". Each user will have his own configuration, but all the configurations will be stored in the same file.
\nYou must be aware that with this configuration, any user can remove or modify the program data of other users. (But can't access/delete/modify the files or folders synchronized by other users because this program preserves the file's Groups and Permissions).'''
LABEL_NewProfile_002='''This configuration is being tested. I recommend to use the Local Configuration. 
\nDo not use this configuration unless you want to make an adventure to the possible fresh-install bugs!'''
LABEL_NewProfile_003='''This configuration is being tested. I recommend to use the Local Profile.
\nWith this profile all the files and folders will be stored under "/home/.fresh-install" and all the users will use the same configuration file. 
\nYou must be aware that with this configuration, any user can remove or modify the program data of other users. (But can't access/delete/modify the files or folders synchronized by other users because this program preserves the file's Groups and Permissions).'''
