#!/bin/bash

#  Copyright (C) 2015  Rafael Senties Martinelli <rsm@imap.cc>
#
#  This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License 3 as published by
#   the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA.


if [ "$EUID" -ne 0 ]
  then echo "Please run as root."
  exit
fi

wget -O /tmp/key http://rsm.imap.cc/rsm-gpg.txt
apt-key add /tmp/key
echo "deb http://rsm.imap.cc/software/repository wheezy main" | tee -a /etc/apt/sources.list
apt-get update 

echo -e "\nThe repository has been added. You are now able of installing \nany software of http://rsm.imap.cc/software/ by just using \n'apt-get install <program>'\n"
