#!/usr/bin/python2.7
# -*- coding: utf-8 -*-

#  Copyright (C) 2014  Rafael Senties Martinelli <rsm@imap.cc>
#
#  This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License 3 as published by
#   the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA.

from gi.repository import Gtk

## Imports from other files of Fresh Install
from Paths import *


def Import_Data_From_Glade(self):

	self.builder=Gtk.Builder()
	self.builder.add_from_file(FRESH_INSTALL_GLADE_PATH)
	self.builder.connect_signals(self)


	# window_root

	self.window_root=self.builder.get_object('window_root')
	self.button_external_configuration=self.builder.get_object('button_external_configuration')
	self.label_act=self.builder.get_object('label_act')
	self.label_user=self.builder.get_object('label_user')
	self.label_to_program=self.builder.get_object('label_to_program')
	self.label_to_pc=self.builder.get_object('label_to_pc')
	self.button_files_to_replace=self.builder.get_object('button_files_to_replace')
	self.button_folders_to_replace=self.builder.get_object('button_folders_to_replace')
	self.button_reset=self.builder.get_object('button_reset')
	self.button_external_configuration=self.builder.get_object('button_external_configuration')
	self.button_actualize=self.builder.get_object('button_actualize')

	# window_set_up
	self.window_setup=self.builder.get_object('window_setup')
	self.label_user1=self.builder.get_object('label_user1')
	self.button_external_profile=self.builder.get_object('button_external_profile')


	# window_new_profile
	self.window_new_profile=self.builder.get_object('window_new_profile')
	self.label_profile_help=self.builder.get_object('label_profile_help')
	self.checkbutton_local_profile=self.builder.get_object('checkbutton_local_profile')
	self.checkbutton_global_profile=self.builder.get_object('checkbutton_global_profile')
	self.checkbutton_merged_folders=self.builder.get_object('checkbutton_merged_folders')
	self.checkbutton_merged_configurations=self.builder.get_object('checkbutton_merged_configurations')
	self.checkbutton_merged_folders=self.builder.get_object('checkbutton_merged_folders')

	
	# window_configuration

	self.window_configuration=self.builder.get_object('window_configuration')
	self.grid_extras=self.builder.get_object('grid_extras')
	self.label_Data_Location=self.builder.get_object('label_data_location')
	self.label_folder_name=self.builder.get_object('label_folder_name')
	self.label_config_location=self.builder.get_object('label_config_location')
	self.label10=self.builder.get_object('label10')
	self.label11=self.builder.get_object('label11')
	self.label17=self.builder.get_object('label17')
	self.label18=self.builder.get_object('label18')
	self.label22=self.builder.get_object('label22')
	self.spinbutton_file_size=self.builder.get_object('spinbutton_file_size')
	self.spinbutton_folder_size=self.builder.get_object('spinbutton_folder_size')
	self.spinbutton_waiting_dialog=self.builder.get_object('spinbutton_waiting_dialog')
	self.checkbutton_warn_rename=self.builder.get_object('checkbutton_warn_rename')
	self.checkbutton_warn_install=self.builder.get_object('checkbutton_warn_install')
	self.checkbutton_warn_rep_file=self.builder.get_object('checkbutton_warn_rep_file')
	self.checkbutton_warn_rep_fol=self.builder.get_object('checkbutton_warn_rep_fol')
	self.checkbutton_warn_rep_fileNfol=self.builder.get_object('checkbutton_warn_rep_fileNfol')
	self.checkbutton_atomat_close_waiting=self.builder.get_object('checkbutton_atomat_close_waiting')
	self.checkbutton_existance_of_programs=self.builder.get_object('checkbutton_existance_of_programs')

		#SUB WINDOW rename
	self.window_new_name1=self.builder.get_object('window_new_name1')
	self.entry_rename_file1=self.builder.get_object('entry_rename_file1')


	# window_add_programs
	
	self.window_add_programs=self.builder.get_object('window_add_programs')
	self.entry_program_name=self.builder.get_object('entry_program_name')
	self.entry_program_description=self.builder.get_object('entry_program_description')
	self.entry_program_comment=self.builder.get_object('entry_program_comment')
	self.box_category_to_install=self.builder.get_object('box_category_to_install')
	self.button_program_list2=self.builder.get_object('button_program_list2')
	self.button_add_program=self.builder.get_object('button_add_program')
	self.button_program_list2=self.builder.get_object('button_program_list2')


	# window_rename
	
	self.entry_rename_filter=self.builder.get_object('entry_rename_filter')
	self.window_rename=self.builder.get_object('window_rename')
	self.checkbutton_rename_if_not=self.builder.get_object('checkbutton_rename_if_not')
	self.checkbutton_rename_if=self.builder.get_object('checkbutton_rename_if')
	self.button_list_files_to_rename=self.builder.get_object('button_list_files_to_rename')
	self.button_rename_files=self.builder.get_object('button_rename_files')

		# window_list_files_to_rename
		
	self.window_list_files_to_rename=self.builder.get_object('window_list_files_to_rename')
	self.scrolledwindow_list_files_to_rename=self.builder.get_object('scrolledwindow_list_files_to_rename')

	# window_replace
	self.window_replace=self.builder.get_object('window_replace')
	self.checkbutton_replace_if_not=self.builder.get_object('checkbutton_replace_if_not')
	self.checkbutton_replace_if=self.builder.get_object('checkbutton_replace_if')
	self.button_list_files_to_replace=self.builder.get_object('button_list_files_to_replace')
	self.button_list_folders_to_replace=self.builder.get_object('button_list_folders_to_replace')
	self.button_replace_folders=self.builder.get_object('button_replace_folders')
	self.button_replace_file_and_folders=self.builder.get_object('button_replace_file_and_folders')
	self.button_replace_files=self.builder.get_object('button_replace_files')
	self.entry_replace_filter=self.builder.get_object('entry_replace_filter')
	self.entry_replace_modify_path=self.builder.get_object('entry_replace_modify_path')
	self.entry_replace_modify_path2=self.builder.get_object('entry_replace_modify_path2')


	# window_install_programs
	self.window_install_programs=self.builder.get_object('window_install_programs')
	self.box_category_install=self.builder.get_object('box_category_install')
	self.button_program_list1=self.builder.get_object('button_program_list1')


	# window_about
	self.window_about=self.builder.get_object('window_about')


	# window_waiting
	self.window_waiting=self.builder.get_object('window_waiting')
	self.button_waiting=self.builder.get_object('button_waiting')
	self.progressbar=self.builder.get_object('progressbar')
	self.textview_waiting =self.builder.get_object('textview_waiting')
	self.scrolledwindow_terminal=self.builder.get_object('scrolledwindow_terminal')
	self.checkbutton_atom_close=self.builder.get_object('checkbutton_atom_close')
	self.expander_waiting=self.builder.get_object('expander_waiting')
	self.label_data_being_copied=self.builder.get_object('label_data_being_copied')


		# window_list_files_to_replace
	self.window_list_files_to_replace=self.builder.get_object('window_list_files_to_replace')
	self.scrolledwindow_list_files_to_replace=self.builder.get_object('scrolledwindow_list_files_to_replace')

		# window_list_folders_to_replace
	self.window_list_folders_to_replace=self.builder.get_object('window_list_folders_to_replace')
	self.scrolledwindow_list_folders_to_replace=self.builder.get_object('scrolledwindow_list_folders_to_replace')

		# window_list_programs
	self.window_list_programs=self.builder.get_object('window_list_programs')
	self.scrolledwindow_list_of_programs=self.builder.get_object('scrolledwindow_list_of_programs')
	self.button_refresh_installed_programs=self.builder.get_object('button_refresh_installed_programs')

		# window_new_name
	self.window_new_name=self.builder.get_object('window_new_name')
	self.entry_rename_file=self.builder.get_object('entry_rename_file')

	# window_loading_config
	self.window_loading_config=self.builder.get_object('window_loading_config')


