#!/usr/bin/python2.7
# -*- coding: utf-8 -*-

#  Copyright (C) 2014-2015  Rafael Senties Martinelli <rsm@imap.cc>
#
#  This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License 3 as published by
#   the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA.

import csv, os

class CustomCsv:

	def alph_organise_file(self,list_path):

		alf_list,start_list=[],[]
		with open(list_path, 'r') as f:
			program_list=csv.reader(f,delimiter='|')
		
			for row in program_list:
				alf_list.append(row)
			
			alf_list.sort()
			
		os.remove(list_path)
		
		with open(list_path, "ab") as f:
			for row in alf_list:
				csv_list=csv.writer(f, delimiter='|')
				csv_list.writerow(row)
				
	
	def add_row(self,csv_path,*args):
		with open(csv_path, "ab") as f:
			csv_list=csv.writer(f,delimiter='|')
			csv_list.writerow(args)
			
	def increment_number_of_column(self,list_path,column):
		"""
			increments of 1 the biggest number of a CSV column, and return it as STRING
		"""
	
		new_value=0
		if not os.path.exists(list_path):
			return 0
		else:
			with open(list_path, 'r') as f:
				rows=csv.reader(f, delimiter="|")
				for row in rows:
					try:
						if int(row[column]) >= new_value:
							new_value=int(row[column])+1
					
					except Exception,e:
						print "CustomCsv.py: increment_number_of_column: Corrupted row"
						print str(e)
				
			return str(new_value)
			
			
	def exists_in_column(self,list_path,column,item_to_compare):
	
		if not os.path.exists(list_path):
			return False
		else:
			with open(list_path, 'r') as f:
				list=csv.reader(f,delimiter='|')
						
				for row in list :
					previous_items=row[column]
					if item_to_compare == previous_items:
						return True
				
				return False
				
	def create_list_from_column(self,list_path,column):
	
		if not os.path.exists(list_path):
			return []
		else:
			local_list=[]
			with open(list_path, 'r') as f:
				list=csv.reader(f,delimiter='|')
				next(f)
				for row in list :
					local_list.append(row[column])

			return local_list
